#
# spec file for package rubygem-erubi
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-erubi
VCS: https://src.suse.de/SLFO-pool/rubygem-erubi#ca6703c132c71f7c9ec0e41465f6d30c13fef2849a4ba67f21c1cee7e4a4c379
Version:        1.13.0
Release:        160000.1.4
%define mod_name erubi
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/jeremyevans/erubi
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Small ERB Implementation
License:        MIT

%description
Erubi is a ERB template engine for ruby. It is a simplified fork of Erubis.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 dan.cermak@posteo.net
- === 1.13.0 (2024-06-13)
  * Define Erubi.h as a module function (jeremyevans)
  * Add erubi/capture_block, supporting capturing block output via standard <%%= and <%%== tags (jeremyevans)
* Thu Nov  2 2023 dan.cermak@posteo.net
- === 1.12.0 (2022-12-22)
  * Use erb/escape for faster html escaping if available (jeremyevans)
  * Default :freeze_template_literals option to false if running with --enable-frozen-string-literal (casperisfine) (#35)
* Thu Aug  4 2022 coolo@suse.com
  updated to version 1.11.0
  see installed CHANGELOG
  === 1.11.0 (2022-08-02)
  * Support :freeze_template_literals option for configuring whether to add .freeze to template literal strings (casperisfine) (#33)
  * Support :chain_appends option for chaining appends to the buffer variable (casperisfine, jeremyevans) (#32)
  * Avoid unnecessary defined? usage on Ruby 3+ when using the :ensure option (jeremyevans)
* Fri Dec 11 2020 mschnitzer@suse.com
- updated to version 1.10.0
  * Improve template parsing, mostly by reducing allocations (jeremyevans)
  * Do not ship tests in the gem, reducing gem size about 20%% (jeremyevans)
  * Support :literal_prefix and :literal_postfix options for how to output literal tags (e.g. <%%%% code %%>) (jaredcwhite) (#26, #27)
* Tue Nov 12 2019 mschnitzer@suse.com
- updated to version 1.9.0
  * Change default :bufvar from 'String.new' to '::String.new' to work with BasicObject (jeremyevans)
* Wed Dec 19 2018 coolo@suse.com
- updated to version 1.8.0
  see installed CHANGELOG
  === 1.8.0 (2018-12-18)
  * Support :yield_returns_buffer option in capture_end for always returning the (potentially modified) buffer in <%%|= tags (evanleck) (#15)
* Tue Mar  6 2018 factory-auto@kulow.org
- updated to version 1.7.1
  see installed CHANGELOG
  === 1.7.1 (2018-03-05)
  * Make whitespace handling for <%%# %%> tags more compatible with Erubis (jeremyevans) (#14)
* Fri Oct 13 2017 mschnitzer@suse.com
- updated to version 1.7.0
  * Fix escaping in erubi/capture_end, the setting was previously inverted (jeremyevans) (#10)
* Thu Aug  3 2017 coolo@suse.com
- updated to version 1.6.1
  see installed CHANGELOG
  === 1.6.1 (2017-06-27)
  * Fix usage on newer versions of JRuby 9.1 (jeremyevans)
* Mon Jun 19 2017 enavarro@suse.com
- Initial checkin.
